package com.ruoyi.tast.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ElectronicFenceSetting {
    /**
     * 主键ID
     */
    private Integer fenceId;
    /**
     * 关联企业
     */
    private Integer firmId;
    /**
     * 电子围栏设置:围栏名称
     */
    private String fenceName;
    /**
     * 电子围栏设置:围栏地址
     */
    private String address;
    /**
     * 电子围栏设置:电子围栏半径
     */
    private float radius;
    /**
     * 电子围栏设置:电子围栏经度
     */
    private double longitude;
    /**
     * 电子围栏设置:电子围栏维度
     */
    private double latitude;
    /**
     * 电子围栏设置:电子围栏创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createTime;
    /**
     * 创建人
     */
    private String createId;
    /**
     * 电子围栏设置:电子围栏修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date updateTime;
    /**
     * 电子围栏设置:电子围栏结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date endTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 电子围栏设置:电子围栏状态 1激活 2未激活
     */
    private Integer status;
    /**
     * 逻辑删除
     */
    private Integer deletion;


}
