package com.ruoyi.tast.domain;

import lombok.Data;

@Data
public class Car {

    /**
     * 车辆ID
     */
    private Integer carId;
    /**
     * 车辆名称
     */
    private String carName;
    /**
     * 车辆VIN编码
     */
    private String carVin;
    /**
     * 车辆类型
     */
    private Integer typeId;
    /**
     * 车辆类型名称
     */
    private String typeName;
    /**
     * 电子围栏
     */
    private Integer fenceId;
    /**
     * 电子围栏名称
     */
    private String fenceName;
    /**
     * 制造厂商名称
     */
    private String manufacturerName;
    /**
     * 电池名称
     */
    private String batteryName;
    /**
     * 制造编号
     */
    private String manufacturerDesc;
    /**
     * 电池编号
     */
    private String batteryDesc;
    /**
     * 汽车状态 1已离线 2在线
     */
    private Integer carStatus;
    /**
     * 关联企业
     */
    private Integer firmId;
    /**
     * 企业名称
     */
    private String firmName;

}
