package com.ruoyi.tast.domain;

import lombok.Data;

/**
 * 异常信息
 */
@Data
public class Exception {

    /**
     * 信息标识
     */
    private boolean messageException=false;
    private long messageExceptionStartTime=0;
    private boolean messageAlertSent=false;

    /**
     * VIN码
     */
    private boolean vinException = false;
    private long vinExceptionStartTime=0;
    private boolean vinAlertSent=false;

    /**
     * 经度
     */
    private boolean longitudeException = false;
    private long longitudeExceptionStartTime = 0;
    private boolean longitudeAlertSent=false;

    /**
     * 维度
     */
    private boolean latitudeException = false;
    private long latitudeExceptionStartTime = 0;
    private boolean latitudeAlertSent=false;

    /**
     * 车速
     */
    private boolean speedOfaMotorVehicleException = false;
    private long speedOfaMotorVehicleExceptionStartTime = 0;
    private boolean speedOfaMotorVehicleAlertSent=false;

    /**
     * 总里程
     */
    private boolean totalDistanceException = false;
    private long totalDistanceExceptionStartTime = 0;
    private boolean totalDistanceAlertSent=false;

    /**
     * 总电压
     */
    private boolean totalVoltageException = false;
    private long totalVoltageExceptionStartTime = 0;
    private boolean totalVoltageAlertSent=false;

    /**
     * 总电流
     */
    private boolean totalCurrentException = false;
    private long totalCurrentExceptionStartTime = 0;
    private boolean totalCurrentAlertSent=false;

    /**
     * 绝缘电阻
     */
    private boolean insulationResistanceException = false;
    private long insulationResistanceExceptionStartTime = 0;
    private boolean insulationResistanceAlertSent=false;

    /**
     * 档位
     */
    private boolean gearsException = false;
    private long gearsExceptionStartTime = 0;
    private boolean gearsAlertSent=false;

    /**
     * 加速踏板行程值
     */
    private boolean acceleratorPedalTravelValueException = false;
    private long acceleratorPedalTravelValueExceptionStartTime = 0;
    private boolean acceleratorPedalTravelValueAlertSent=false;

    /**
     * 制动踏板行程值
     */
    private boolean brakePedalTravelValueException = false;
    private long brakePedalTravelValueExceptionStartTime = 0;
    private boolean brakePedalTravelValueAlertSent=false;

    /**
     * 燃料消耗率
     */
    private boolean rateOfFuelConsumptionException = false;
    private long rateOfFuelConsumptionExceptionStartTime = 0;
    private boolean rateOfFuelConsumptionAlertSent=false;

    /**
     * 电机控制器温度
     */
    private boolean motorControllerTemperatureException = false;
    private long motorControllerTemperatureExceptionStartTime = 0;
    private boolean motorControllerTemperatureAlertSent=false;

    /**
     * 电机转速
     */
    private boolean motorSpeedException = false;
    private long motorSpeedExceptionStartTime = 0;
    private boolean motorSpeedAlertSent=false;

    /**
     * 电机转矩
     */
    private boolean motorTorqueException = false;
    private long motorTorqueExceptionStartTime = 0;
    private boolean motorTorqueAlertSent=false;

    /**
     * 电机温度
     */
    private boolean motorTemperatureException = false;
    private long motorTemperatureExceptionStartTime = 0;
    private boolean motorTemperatureAlertSent=false;

    /**
     * 电机电压
     */
    private boolean motorVoltageException = false;
    private long motorVoltageExceptionStartTime = 0;
    private boolean motorVoltageAlertSent=false;

    /**
     * 电机电流
     */
    private boolean motorCurrentException = false;
    private long motorCurrentExceptionStartTime = 0;
    private boolean motorCurrentAlertSent=false;

    /**
     * 动力电池剩余电量SOC
     */
    private boolean powerBatteryRemainingSOCException = false;
    private long powerBatteryRemainingSOCExceptionStartTime = 0;
    private boolean powerBatteryRemainingSOCAlertSent=false;

    /**
     * 当前状态允许的最大反馈功率
     */
    private boolean theMaximumFeedbackPowerAllowedInTheCurrentStateException = false;
    private long theMaximumFeedbackPowerAllowedInTheCurrentStateExceptionStartTime = 0;
    private boolean theMaximumFeedbackPowerAllowedInTheCurrentStateAlertSent=false;


    /**
     * 当前状态允许最大放电功率
     */
    private boolean theCurrentStateAllowsTheMaximumDischargePowerException = false;
    private long theCurrentStateAllowsTheMaximumDischargePowerExceptionStartTime = 0;
    private boolean theCurrentStateAllowsTheMaximumDischargePowerAlertSent=false;

    /**
     * BMS自检计数器
     */
    private boolean bmsSelfCheckCounterException = false;
    private long bmsSelfCheckCounterExceptionStartTime = 0;
    private boolean bmsSelfCheckCounterAlertSent=false;

    /**
     * 动力电池充放电电流
     */
    private boolean chargingAndDischargingCurrentOfPowerBatteryException = false;
    private long chargingAndDischargingCurrentOfPowerBatteryExceptionStartTime = 0;
    private boolean chargingAndDischargingCurrentOfPowerBatteryAlertSent=false;

    /**
     * 动力电池负载端总电压V3
     */
    private boolean theTotalVoltageAtTheLoadEndOfThePowerBatteryIsV3Exception = false;
    private long theTotalVoltageAtTheLoadEndOfThePowerBatteryIsV3ExceptionStartTime = 0;
    private boolean theTotalVoltageAtTheLoadEndOfThePowerBatteryIsV3AlertSent=false;

    /**
     * 单次最大电压
     */
    private boolean singleMaximumVoltageException = false;
    private long singleMaximumVoltageExceptionStartTime = 0;
    private boolean singleMaximumVoltageAlertSent=false;


    /**
     * ABS
     */
    private boolean absException = false;
    private long absExceptionStartTime = 0;
    private boolean absAlertSent = false;

}
