package com.ruoyi.tast.consumer;

import com.alibaba.fastjson2.JSON;
import com.rabbitmq.client.Channel;
import com.ruoyi.tast.domain.VehicleMessage;
import com.ruoyi.tast.mysingleton.MySingletonHashMap;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.Date;


@Component
@Log4j2
public class EmailConsumer {

    @Autowired
    private JavaMailSender javaMailSender;

//    @RabbitListener(queues = "emailQueue")
//    public void sendMail(String exceptionMsg1){
//        try {
//            //构建一个邮箱对象
//            SimpleMailMessage emailMessage = new SimpleMailMessage();
//            //设置邮件主题
//            emailMessage.setSubject("车辆异常报警");
//            //设置邮件发送者
//            emailMessage.setFrom("3194573917@qq.com");
//            //设置发送给谁的，可以多发， 中间用逗号隔开
//            emailMessage.setTo("3194573917@qq.com");/*,"3079188394@qq.com","1731931229@qq.com","755401261@qq.com"*/
//            //设置邮件发送时间
//            emailMessage.setSentDate(new Date());
//            //设置邮件正文
//            emailMessage.setText("异常信息:"+exceptionMsg1);
//            //发送邮件
//            javaMailSender.send(emailMessage);
//            System.out.println(exceptionMsg1);
//
//        }catch (Exception e) {
//            // 处理异常情况
//            e.printStackTrace();
//            throw new RuntimeException(e);  // 抛出异常以进行重新投递
//        }
//
//    }


    private boolean absException = false;
    private long absExceptionStartTime = 0;
    private boolean isAlertSent = false;  // 标识是否已发送告警邮件
//    MySingletonHashMap singletonHashMap = MySingletonHashMap.getInstance();
//    @RabbitListener(queues = "fault_handler_queue")
//    public void aaa(String exceptionMsg, Channel channel,Message message){
//        log.info("消费者开始消费，信息是：{}，队列是：{}",exceptionMsg,"fault_handler_queue");
//
//        try {
//            VehicleMessage vehicleMessage = JSON.parseObject(exceptionMsg, VehicleMessage.class);
//            log.info("消费者消费成功，信息是：{}，队列是：{}",exceptionMsg,"fault_handler_queue");
//            System.out.println("-------------------"+vehicleMessage);
//            singletonHashMap.put(vehicleMessage.getVinCode(),vehicleMessage);
//            if (exceptionMsg!=null){
//                if (vehicleMessage.getAbs().equals(1)){
//                    if (absException) {
//                        // ABS异常已解决，重置计时器
//                        absException = false;
//                        absExceptionStartTime = 0;
//                        isAlertSent = false;
//                    }
//                }else {
//                    log.info("ABS出现异常");
//                    if (!absException) {
//                        // ABS异常开始，记录开始时间
//                        absException = true;
//                        absExceptionStartTime = System.currentTimeMillis();
//                    }
//                }
//                if (absException){
//                    // ABS异常持续中，检查是否已经超过10秒
//                    long duration = System.currentTimeMillis() - absExceptionStartTime;
//                    if (!isAlertSent && duration >= 10000) {
//                        // ABS异常持续超过10秒，发送告警邮件
//                        String exceptionMsg1 = "ABS持续异常";
//                        sendMail(exceptionMsg1);
//                        isAlertSent = true;// 标记为已发送告警邮件
//                    }else if (duration < 10000) {
//                        isAlertSent = false;  // 重置标记，以便下次超过10秒时再次发送邮件
//                    }
//                }
//            }else {
//                log.info("消息为空");
//            }
//
//            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
//        } catch (IOException e) {
//
//            try {
//                channel.basicReject(message.getMessageProperties().getDeliveryTag(),true);
//            } catch (IOException ex) {
//                log.info("消费者回退失败，信息是：{}，队列是：{}",exceptionMsg,"fault_handler_queue");
//                throw new RuntimeException(ex);
//            }
//            throw new RuntimeException(e);
//        }
//    }




}
