//package com.ruoyi.tast.controller;
//import com.ruoyi.tast.domain.Message;
//import com.ruoyi.tast.mysingleton.MySingletonHashMap;
//import com.ruoyi.tast.service.CarService;
//import io.netty.channel.ChannelHandlerContext;
//import io.netty.channel.ChannelInboundHandlerAdapter;
//import io.netty.channel.socket.SocketChannel;
//import org.apache.catalina.core.ApplicationContext;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.mail.SimpleMailMessage;
//import org.springframework.mail.javamail.JavaMailSender;
//import org.springframework.scheduling.annotation.Scheduled;
//import org.springframework.stereotype.Component;
//import org.springframework.stereotype.Controller;
//import org.springframework.stereotype.Service;
//
//import javax.annotation.Resource;
//import java.text.SimpleDateFormat;
//import java.util.*;
//import java.util.concurrent.CompletableFuture;
//import java.util.stream.Collectors;
//
//@Component
//public class MyServerHandler extends ChannelInboundHandlerAdapter{
//    private  RabbitTemplate rabbitTemplate;
//
//    @Autowired
//    public MyServerHandler(RabbitTemplate rabbitTemplate) {
//        this.rabbitTemplate = rabbitTemplate;
//    }
//
//    private Logger logger = LoggerFactory.getLogger(MyServerHandler.class);
//    /**
//     * 当客户端主动链接服务端的链接后，这个通道就是活跃的了。也就是客户端与服务端建立了通信通道并且可以传输数据
//     */
//    @Override
//    public void channelActive(ChannelHandlerContext ctx) throws Exception {
//        SocketChannel channel = (SocketChannel) ctx.channel();
//        //通知客户端链接建立成功
//        System.out.println("====channelActive=====");
//        String str = "通知客户端链接建立成功" + " " + new Date() + " " + channel.localAddress().getHostString() + "\r\n";
//
//        ctx.writeAndFlush(str+"#$&*");
//    }
//
//    /**
//     * 当客户端主动断开服务端的链接后，这个通道就是不活跃的。也就是说客户端与服务端的关闭了通信通道并且不可以传输数据
//     */
//    @Override
//    public void channelInactive(ChannelHandlerContext ctx) throws Exception {
//        logger.info("客户端断开链接{}", ctx.channel().localAddress().toString());
//    }
//
//
//    private boolean absException = false;
//    private long absExceptionStartTime = 0;
//    private boolean isAlertSent = false;  // 标识是否已发送告警邮件
////    @Autowired
////    private RabbitTemplate rabbitTemplate;
//    private CarController carController;
//
//    public MyServerHandler() {
//        carController = new CarController();
//    }
//
//    MySingletonHashMap singletonHashMap = MySingletonHashMap.getInstance();
//    @Override
//    public void channelRead(ChannelHandlerContext ctx, Object msg) throws Exception {
//        //接收msg消息{与上一章节相比，此处已经不需要自己进行解码}
//        logger.info(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + " 服务端接收到消息：" + msg);
//        //通知客户端链消息发送成功
//        String str = "服务端收到：" + new Date() + " " + msg + "\r\n";
//        System.out.println("========================================="+str);
//
//
//        //空格切割
//        String[] msgArray = msg.toString().split(" ");
//        List<String> list= Arrays.asList(msgArray);
//
//        System.out.println("--------------------"+list);
//
//        int size = list.size();
//        System.out.println(size);
//
//        Message message = new Message();
//
//        String string = this.getParsingString(list);
//
//
//
//        if (size==208){
//
//            CompletableFuture<Void> f1 = CompletableFuture.runAsync(() -> {
//                //消息标识
//                String string1 = string.substring(0, 13);
//                if (string1.length()==13){
//                    logger.info("消息标识:{}",string1);
//                    message.setMessageIdentification(string1);
////                cancelTimer("消息标识");
//                }else {
//                    logger.info("消息标识出现异常");
////                if (!exceptionTimers.containsKey("消息标识")) {
////                    startTimer("消息标识"); // 开始计时
////                }
//                }
//            });
//
//            CompletableFuture<Void> f2 =CompletableFuture.runAsync(()->{
//                //VIN码
//                String string2 = string.substring(13, 30);
//                if (string2.length()==17){
//                    logger.info("VIN码:{}",string2);
//                    message.setVinYard(string2);
//                }else {
//                    logger.info("VIN码出现异常");
//                }
//            });
//
//
//            CompletableFuture<Void> f3 =CompletableFuture.runAsync(()->{
//                //经度
//                String string3 = string.substring(30, 41);
//                if (string3.length()==11){
//                    logger.info("经度:{}",string3);
//                    message.setLongitude(string3);
//                }else {
//                    logger.info("经度出现异常");
//                }
//            });
//            CompletableFuture<Void> f4 =CompletableFuture.runAsync(()->{
//                //纬度
//                String string4 = string.substring(41, 51);
//                if (string4.length()==10){
//                    logger.info("纬度:{}",string4);
//                    message.setLatitude(string4);
//                }else {
//                    logger.info("维度出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f5 =CompletableFuture.runAsync(()->{
//                //车速
//                String string5 = string.substring(51, 57);
//                if (string5.length()==6){
//                    logger.info("车速:{}",string5);
//                    message.setSpeedOfaMotorVehicle(string5);
//                }else {
//                    logger.info("车速出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f6 =CompletableFuture.runAsync(()->{
//                //总里程
//                String string6 = string.substring(57, 68);
//                if (string6.length()==11){
//                    logger.info("总里程:{}",string6);
//                    message.setTotalDistance(string6);
//                }else {
//                    logger.info("总里程出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f7 =CompletableFuture.runAsync(()->{
//                //总电压
//                String string7 = string.substring(68, 74);
//                if (string7.length()==6){
//                    logger.info("总电压:{}",string7);
//                    message.setTotalVoltage(string7);
//                }else {
//                    logger.info("总电压出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f8 =CompletableFuture.runAsync(()->{
//                //总电流
//                String string8 = string.substring(74, 79);
//                if (string8.length()==5){
//                    logger.info("总电流:{}",string8);
//                    message.setTotalCurrent(string8);
//                }else {
//                    logger.info("总电流出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f9 =CompletableFuture.runAsync(()->{
//                //绝缘电阻
//                String string9 = string.substring(79, 88);
//                if (string9.length()==9){
//                    logger.info("绝缘电阻:{}",string9);
//                    message.setInsulationResistance(string9);
//                }else {
//                    logger.info("绝缘电阻出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f10 =CompletableFuture.runAsync(()->{
//                //档位
//                String string10 = string.substring(88, 89);
//                if (string10.length()==1){
//                    logger.info("档位:{}",string10);
//                    message.setGears(string10);
//                }else {
//                    logger.info("档位出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f11 =CompletableFuture.runAsync(()->{
//                //加速踏板行程值
//                String string11 = string.substring(89, 91);
//                if (string11.length()==2){
//                    logger.info("加速踏板行程值:{}",string11);
//                    message.setAcceleratorPedalTravelValue(string11);
//                }else {
//                    logger.info("加速踏板行程值出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f12 =CompletableFuture.runAsync(()->{
//                //制动踏板行程值
//                String string12 = string.substring(91, 93);
//                if (string12.length()==2){
//                    logger.info("制动踏板行程值:{}",string12);
//                    message.setBrakePedalTravelValue(string12);
//                }else {
//                    logger.info("制动踏板行程值出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f13 =CompletableFuture.runAsync(()->{
//                //燃料消耗率
//                String string13 = string.substring(93, 98);
//                if (string13.length()==5){
//                    logger.info("燃料消耗率:{}",string13);
//                    message.setRateOfFuelConsumption(string13);
//                }else {
//                    logger.info("燃料消耗率出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f14 =CompletableFuture.runAsync(()->{
//                //电机控制器温度
//                String string14 = string.substring(98, 104);
//                if (string14.length()==6){
//                    logger.info("电机控制器温度:{}",string14);
//                    message.setMotorControllerTemperature(string14);
//                }else {
//                    logger.info("电机控制器温度出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f15 =CompletableFuture.runAsync(()->{
//                //电机转速
//                String string15 = string.substring(104, 109);
//                if (string15.length()==5){
//                    logger.info("电机转速:{}",string15);
//                    message.setMotorSpeed(string15);
//                }else {
//                    logger.info("电机转速出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f16 =CompletableFuture.runAsync(()->{
//                //电机转矩
//                String string16 = string.substring(109, 113);
//                if (string16.length()==4){
//                    logger.info("电机转矩:{}",string16);
//                    message.setMotorTorque(string16);
//                }else {
//                    logger.info("电机转矩出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f17 =CompletableFuture.runAsync(()->{
//                //电机温度
//                String string17 = string.substring(113, 119);
//                if (string17.length()==6){
//                    logger.info("电机温度:{}",string17);
//                    message.setMotorTemperature(string17);
//                }else {
//                    logger.info("电机温度出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f18 =CompletableFuture.runAsync(()->{
//                //电机电压
//                String string18 = string.substring(119, 124);
//                if (string18.length()==5){
//                    logger.info("电机电压:{}",string18);
//                    message.setMotorVoltage(string18);
//                }else {
//                    logger.info("电机电压出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f19 =CompletableFuture.runAsync(()->{
//                //电机电流
//                String string19 = string.substring(124, 132);
//                if (string19.length()==8){
//                    logger.info("电机电流:{}",string19);
//                    message.setMotorCurrent(string19);
//                }else {
//                    logger.info("电机电流出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f20 =CompletableFuture.runAsync(()->{
//                //动力电池剩余电量SOC
//                String string20 = string.substring(132, 138);
//                if (string20.length()==6){
//                    logger.info("动力电池剩余电量SOC:{}",string20);
//                    message.setPowerBatteryRemainingSOC(string20);
//                }else {
//                    logger.info("动力电池剩余电量SOC出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f21 =CompletableFuture.runAsync(()->{
//                //当前状态允许的最大反馈功率
//                String string21 = string.substring(138, 144);
//                if (string21.length()==6){
//                    logger.info("当前状态允许的最大反馈功率:{}",string21);
//                    message.setTheMaximumFeedbackPowerAllowedInTheCurrentState(string21);
//                }else {
//                    logger.info("当前状态允许的最大反馈功率出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f22 =CompletableFuture.runAsync(()->{
//                //当前状态允许最大放电功率
//                String string22 = string.substring(144, 150);
//                if (string22.length()==6){
//                    logger.info("当前状态允许最大放电功率:{}",string22);
//                    message.setTheCurrentStateAllowsTheMaximumDischargePower(string22);
//                }else {
//                    logger.info("当前状态允许最大放电功率出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f23 =CompletableFuture.runAsync(()->{
//                //BMS自检计数器
//                String string23 = string.substring(150, 152);
//                if (string23.length()==2){
//                    logger.info("BMS自检计数器:{}",string23);
//                    message.setBmsSelfCheckCounter(string23);
//                }else {
//                    logger.info("BMS自检计数器出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f24 =CompletableFuture.runAsync(()->{
//                //动力电池充放电电流
//                String string24 = string.substring(152, 157);
//                if (string24.length()==5){
//                    logger.info("动力电池充放电电流:{}",string24);
//                    message.setChargingAndDischargingCurrentOfPowerBattery(string24);
//                }else {
//                    logger.info("动力电池充放电电流出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f25 =CompletableFuture.runAsync(()->{
//                //动力电池负载端总电压V3
//                String string25 = string.substring(157, 163);
//                if (string25.length()==6){
//                    logger.info("动力电池负载端总电压V3:{}",string25);
//                    message.setTheTotalVoltageAtTheLoadEndOfThePowerBatteryIsV3(string25);
//                }else {
//                    logger.info("动力电池负载端总电压V3出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f26 =CompletableFuture.runAsync(()->{
//                //单次最大电压
//                String string26 = string.substring(163, 167);
//                if (string26.length()==4){
//                    logger.info("单次最大电压:{}",string26);
//                    message.setSingleMaximumVoltage(string26);
//                }else {
//                    logger.info("单次最大电压出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f27 =CompletableFuture.runAsync(()->{
//                //单体电池最低电压
//                String string27 = string.substring(167, 171);
//                if (string27.length()==4){
//                    logger.info("单体电池最低电压:{}",string27);
//                    message.setMinimumVoltageOfABattery(string27);
//                }else {
//                    logger.info("单体电池最低电压出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f28 =CompletableFuture.runAsync(()->{
//                //单体电池最高温度
//                String string28 = string.substring(171, 177);
//                if (string28.length()==6){
//                    logger.info("单体电池最高温度:{}",string28);
//                    message.setMaximumBatteryTemperature(string28);
//                }else {
//                    logger.info("单体电池最高温度出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f29 =CompletableFuture.runAsync(()->{
//                //单体电池最低温度
//                String string29 = string.substring(177, 183);
//                if (string29.length()==6){
//                    logger.info("单体电池最低温度:{}",string29);
//                    message.setMinimumBatteryTemperature(string29);
//                }else {
//                    logger.info("单体电池最低温度出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f30 =CompletableFuture.runAsync(()->{
//                //动力电池可用容量
//                String string30 = string.substring(183, 189);
//                if (string30.length()==6){
//                    logger.info("动力电池可用容量:{}",string30);
//                    message.setPowerBatteryAvailableCapacity(string30);
//                }else {
//                    logger.info("动力电池可用容量出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f31 =CompletableFuture.runAsync(()->{
//                //车辆状态
//                Integer string31 = Integer.valueOf(string.substring(189, 190));
//                if (string31.equals(1)){
//                    logger.info("车辆状态:{}",string31);
//                    message.setVehicleState(string31);
//                }else {
//                    logger.info("车辆状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f32 =CompletableFuture.runAsync(()->{
//                //充电状态
//                Integer string32 = Integer.valueOf(string.substring(190, 191));
//                if (string32.equals(1)){
//                    logger.info("充电状态:{}",string32);
//                    message.setStateOfCharge(string32);
//                }else {
//                    logger.info("充电状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f33 =CompletableFuture.runAsync(()->{
//                //运行状态
//                Integer string33 = Integer.valueOf(string.substring(191, 192));
//                if (string33.equals(1)){
//                    logger.info("运行状态:{}",string33);
//                    message.setRunningStatus(string33);
//                }else {
//                    logger.info("运行状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f34 =CompletableFuture.runAsync(()->{
//                //SOC
//                Integer string34 = Integer.valueOf(string.substring(192, 193));
//                if (string34.equals(1)){
//                    logger.info("SOC:{}",string34);
//                    message.setSOC(string34);
//                }else {
//                    logger.info("SOC出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f35 =CompletableFuture.runAsync(()->{
//                //可充电储能装置工作状态
//                Integer string35 = Integer.valueOf(string.substring(193, 194));
//                if (string35.equals(1)){
//                    logger.info("可充电储能装置工作状态:{}",string35);
//                    message.setWorkingStatusOfRechargeableEnergyStorageDevice(string35);
//                }else {
//                    logger.info("可充电储能装置工作状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f36 =CompletableFuture.runAsync(()->{
//                //驱动电机状态
//                Integer string36 = Integer.valueOf(string.substring(194, 195));
//                if (string36.equals(1)){
//                    logger.info("驱动电机状态:{}",string36);
//                    message.setDriveMotorCondition(string36);
//                }else {
//                    logger.info("驱动电机状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f37 =CompletableFuture.runAsync(()->{
//                //定位是否有效
//                Integer string37 = Integer.valueOf(string.substring(195, 196));
//                if (string37.equals(1)){
//                    logger.info("定位是否有效:{}",string37);
//                    message.setWhetherTheLocationIsValid(string37);
//                }else {
//                    logger.info("定位是否有效出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f38 =CompletableFuture.runAsync(()->{
//                //EAS
//                Integer string38 = Integer.valueOf(string.substring(196, 197));
//                if (string38.equals(1)){
//                    logger.info("EAS:{}",string38);
//                    message.setEAS(string38);
//                }else {
//                    logger.info("EAS出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f39 =CompletableFuture.runAsync(()->{
//                //PTC
//                Integer string39 = Integer.valueOf(string.substring(197, 198));
//                if (string39.equals(1)){
//                    logger.info("PTC:{}",string39);
//                    message.setPTC(string39);
//                }else {
//                    logger.info("PTC出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f40 =CompletableFuture.runAsync(()->{
//                //EPS
//                Integer string40 = Integer.valueOf(string.substring(198, 199));
//                if (string40.equals(1)){
//                    logger.info("EPS:{}",string40);
//                    message.setEPS(string40);
//                }else {
//                    logger.info("EPS出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f41 =CompletableFuture.runAsync(()->{
//                //ABS
//                Integer string41 = Integer.valueOf(string.substring(199, 200));
//                if (string41.equals(1)){
//                    logger.info("ABS:{}",string41);
//                    message.setABS(string41);
//                    if (absException) {
//                        // ABS异常已解决，重置计时器
//                        absException = false;
//                        absExceptionStartTime = 0;
//                        isAlertSent = false;
//                    }
//                }else {
//                    logger.info("ABS出现异常");
//                    if (!absException) {
//                        // ABS异常开始，记录开始时间
//                        absException = true;
//                        absExceptionStartTime = System.currentTimeMillis();
//                    }
//                }
//            });
//
//            CompletableFuture<Void> f42 =CompletableFuture.runAsync(()->{
//                //MCU
//                Integer string42 = Integer.valueOf(string.substring(200, 201));
//                if (string42.equals(1)){
//                    logger.info("MCU:{}",string42);
//                    message.setMCU(string42);
//                }else {
//                    logger.info("MCU出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f43 =CompletableFuture.runAsync(()->{
//                //动力电池加热状态
//                Integer string43 = Integer.valueOf(string.substring(201, 202));
//                if (string43.equals(1)){
//                    logger.info("动力电池加热状态:{}",string43);
//                    message.setPowerBatteryHeatingState(string43);
//                }else {
//                    logger.info("动力电池加热状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f44 =CompletableFuture.runAsync(()->{
//                //动力电池当前状态
//                Integer string44 = Integer.valueOf(string.substring(202, 203));
//                if (string44.equals(1)){
//                    logger.info("动力电池当前状态:{}",string44);
//                    message.setCurrentStatusOfThePowerBattery(string44);
//                }else {
//                    logger.info("动力电池当前状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f45 =CompletableFuture.runAsync(()->{
//                //动力电池保温状态
//                Integer string45 = Integer.valueOf(string.substring(203, 204));
//                if (string45.equals(1)){
//                    logger.info("动力电池保温状态:{}",string45);
//                    message.setPowerBatteryInsulationState(string45);
//                }else {
//                    logger.info("动力电池保温状态出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f46 =CompletableFuture.runAsync(()->{
//                //DCDC
//                Integer string46 = Integer.valueOf(string.substring(204, 205));
//                if (string46.equals(1)){
//                    logger.info("DCDC:{}",string46);
//                    message.setDCDC(string46);
//                }else {
//                    logger.info("DCDC出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f47 =CompletableFuture.runAsync(()->{
//                //CHG
//                Integer string47 = Integer.valueOf(string.substring(205, 206));
//                if (string47.equals(1)){
//                    logger.info("CHG:{}",string47);
//                    message.setCHG(string47);
//                }else {
//                    logger.info("CHG出现异常");
//                }
//            });
//
//            CompletableFuture<Void> f48 =CompletableFuture.runAsync(()->{
//                //校验位
//                String string48 = string.substring(206, 207);
//                logger.info("校验位:{}",string48);
//                message.setParityBit(string48);
//            });
//
//            CompletableFuture<Void> f49 =CompletableFuture.runAsync(()->{
//                //截止位
//                String string49 = string.substring(207, 208);
//                logger.info("截止位:{}",string49);
//                message.setCutoffBit(string49);
//            });
//
////           //MCU
////           String string50 = this.Parsing(list.get(208));
////           logger.info("MCU:{}",string50);
//            CompletableFuture.allOf( f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
//                    f11,f12,f13,f14,f15,f16,f17,f18,f19,f20,
//                    f21,f22,f23,f24,f25,f26,f27,f28,f29,f30,
//                    f31,f32,f33,f34,f35,f36,f37,f38,f39,f40,
//                    f41,f42,f43,f44,f45,f46,f47,f48,f49).join();
//
//        }
//
//        if (absException){
//            // ABS异常持续中，检查是否已经超过10秒
//            long duration = System.currentTimeMillis() - absExceptionStartTime;
//            if (!isAlertSent && duration >= 10000) {
//                // ABS异常持续超过10秒，发送告警邮件
//                String exceptionMsg = "ABS持续异常";
//                rabbitTemplate.convertAndSend("emailQueue",exceptionMsg);
//                isAlertSent = true;// 标记为已发送告警邮件
//            }else if (duration < 10000) {
//                isAlertSent = false;  // 重置标记，以便下次超过10秒时再次发送邮件
//            }
//        }
//
//        ctx.writeAndFlush(str+"#$&*");
//
//        /*singletonHashMap.put(message.getVinYard(),message);*/
//
////        CarController carController = new CarController();
////        carController.report(message);
//
//    }
//
//    @Autowired
//    private JavaMailSender javaMailSender;
//
//
//
//    // 发送邮件方法，用于发送异常通知
////    private void sendEmail(String errorMessage) {
////        //构建一个邮箱对象
////        SimpleMailMessage message = new SimpleMailMessage();
////        //设置邮件主题
////        message.setSubject("车辆异常报警");
////        //设置邮件发送者
////        message.setFrom("3194573917@qq.com");
////        //设置发送给谁的，可以多发， 中间用逗号隔开
////        message.setTo("3194573917@qq.com","3079188394@qq.com","1731931229@qq.com","755401261@qq.com");
////        //设置邮件发送时间
////        message.setSentDate(new Date());
////        //设置邮件正文
////        message.setText("异常信息:"+errorMessage);
////        //发送邮件
////        javaMailSender.send(message);
////    }
//
//
//
//
//    private String getParsingString(List<String> list) {
//        //解析报文
//        List<String> msgIdCollect = list.stream().map(s -> {
//            String value = Parsing(s);
//            return value;
//        }).collect(Collectors.toList());
//        String s = msgIdCollect.stream().reduce("",(a, b) -> a + b);
//        return s;
//    }
//
//    private String Parsing(String value) {
//        //将十六进制字符串hex解析为十进制整数值。
//        // 参数16指定要解析的字符串是十六进制格式的。
//        int asciiValue = Integer.parseInt(value, 16);
//        //我们将解析后的十进制整数值强制转换为一个字符类型。强制转换为char类型将返回对应的ASCII字符。
//        char character = (char) asciiValue;
//        return String.valueOf(character);
//    }
//
//    /**
//     * 抓住异常，当发生异常的时候，可以做一些相应的处理，比如打印日志、关闭链接
//     */
//    @Override
//    public void exceptionCaught(ChannelHandlerContext ctx, Throwable cause) throws Exception {
//        ctx.close();
//        logger.info("异常信息：\r\n" + cause.getMessage());
//    }
//
//
//}
