package com.ruoyi.tast.mapper;

import com.ruoyi.tast.domain.Car;
import com.ruoyi.tast.domain.ElectronicFenceSetting;
import com.ruoyi.tast.domain.Firm;
import com.ruoyi.tast.domain.Type;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CarMapper {


    List<Car> carList(Car car);

    List<Type> findByType();

    List<ElectronicFenceSetting> findByFence();

    List<Firm> findByFirm();

    void addCar(Car car);

    void deleteCar(@Param("carId") Integer carId);

    Car findByCar(@Param("carId") Integer carId);

    void updateCar(Car car);
}
